deltacloud-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mfoj...@redhat.com
Subject [PATCH core] Remove 'rake' require from gemspec
Date Wed, 22 Aug 2012 08:06:01 GMT
From: Michal Fojtik <mfojtik@redhat.com>

* This require cause errors in bundler when Ruby distribution
  does not bundle 'rake'.

Signed-off-by: Michal fojtik <mfojtik@redhat.com>
---
 server/deltacloud-core.gemspec | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/server/deltacloud-core.gemspec b/server/deltacloud-core.gemspec
index 779d703..5bbe5c6 100644
--- a/server/deltacloud-core.gemspec
+++ b/server/deltacloud-core.gemspec
@@ -32,7 +32,7 @@ Gem::Specification.new do |s|
   s.version = '1.0.2'
   s.date = Time.now
   s.summary = %q{Deltacloud REST API}
-  s.files = FileList[
+  s.files = [
     'Rakefile',
     '*.gemspec',
     'config.ru',
@@ -58,7 +58,7 @@ Gem::Specification.new do |s|
     'public/stylesheets/images/*.png',
     'public/stylesheets/compiled/*.css',
     'bin/deltacloudd'
-  ].to_a
+  ]..map { |f| Dir[f] }.flatten
 
   s.bindir = 'bin'
   s.executables = 'deltacloudd'
-- 
1.7.11.3


Mime
View raw message